#ifndef CYCLE_SYSTEM_H
#define CYCLE_SYSTEM_H
#include "cdef.h"
#include "CycleSystem.h"

typedef void (*CycSys_Callback)(void);

extern inline void CycSys_Start(CycSys_Callback lptrCycSys_Callback_All_500us_HP,
                         CycSys_Callback lptrCycSys_Callback_All_1ms_HP,
                         CycSys_Callback lptrCycSys_Callback_All_10ms_HP,
                         CycSys_Callback lptrCycSys_Callback_All_100ms_HP,
                         CycSys_Callback lptrCycSys_Callback_All_1s_HP,

                         CycSys_Callback lptrCycSys_Callback_All_500us_LP,
                         CycSys_Callback lptrCycSys_Callback_All_1ms_LP,
                         CycSys_Callback lptrCycSys_Callback_All_10ms_LP,
                         CycSys_Callback lptrCycSys_Callback_All_100ms_LP,
                         CycSys_Callback lptrCycSys_Callback_All_1s_LP);

extern inline void CycSys_Idle(void);

#endif // CycleSystem
